# H248_StreamParms Class Reference

`#include <h248.h>`

Inheritance diagram for H248_StreamParms:

List of all members.

## Public Types

enum | OptionalFields { e_localControlDescriptor, e_localDescriptor, e_remoteDescriptor }

## Public Member Functions

| H248_StreamParms (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H248_LocalControlDescriptor | m_localControlDescriptor
H248_LocalRemoteDescriptor | m_localDescriptor
H248_LocalRemoteDescriptor | m_remoteDescriptor

## Member Enumeration Documentation

enum H248_StreamParms::OptionalFields

Enumerator:

  e_localControlDescriptor |
  e_localDescriptor |
  e_remoteDescriptor |

## Constructor & Destructor Documentation

H248_StreamParms::H248_StreamParms | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_StreamParms::GetDataLength | ( |  | ) | const

PBoolean H248_StreamParms::Decode | ( | PASN_Stream & | strm | ) |

void H248_StreamParms::Encode | ( | PASN_Stream & | strm | ) | const

void H248_StreamParms::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_StreamParms::Compare | ( | const PObject & | obj | ) | const

PObject* H248_StreamParms::Clone | ( |  | ) | const

## Member Data Documentation

H248_LocalControlDescriptor H248_StreamParms::m_localControlDescriptor

H248_LocalRemoteDescriptor H248_StreamParms::m_localDescriptor

H248_LocalRemoteDescriptor H248_StreamParms::m_remoteDescriptor

The documentation for this class was generated from the following file:

- h248.h